package com.sxtvs.open.api.odata.controller;

import com.sxtvs.open.core.sls.AliyunLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("oauth")
public class OauthController {

    public static String kuaishouClientKey = "ks657244072487589897";
    public static String kuaishouClientSecret = "d-LL1KyA6QSDzJG3AtzKZQ";

    @Autowired
    private AliyunLogger logger;

    @RequestMapping("douyin/code")
    public String douyinQrCode() {
        logger.info("key", "douyinQrCode");
        return "redirect:https://open.douyin.com/platform/oauth/connect/?" +
                "client_key=awfrca76s1petwh0&response_type=code&" +
                "scope=video.data%2Cfans.list%2Cdata.external.item%2Cdata.external.user%2Cfans.data%2Cvideo.list%2Crenew_refresh_token%2Cuser_info&" +
                "redirect_uri=https%3A%2F%2Fopen.sxtvs.net%2Foauth%2Fdouyin%2Fcallback";
    }

    @RequestMapping("douyin/callback")
    public String douyinCallback(String code) {
        logger.info("key", "douyinCallback", "code", code);
        return "redirect:https://www.baidu.com";
    }

    @RequestMapping("kuaishou/code")
    public String kuaishouQrCode() {
        logger.info("key", "kuaishouQrCode");
        return "redirect:https://open.kuaishou.com/oauth2/connect?" +
                "app_id=" + kuaishouClientKey + "&response_type=code&" +
                "scope=user_info%2Cuser_video_info&" +
                "redirect_uri=http%3A%2F%2Fimport.smcic.net%2Fkuaishou%2Fcallback-open";
    }

    @RequestMapping("kuaishou/callback")
    public String kuaishouCallback(String code) {
        logger.info("key", "kuaishouCallback", "code", code);
        return "redirect:https://www.baidu.com";
    }


    @RequestMapping("toutiao/code")
    public String toutiaoQrCode() {
        logger.info("key", "toutiaoQrCode");
        return "redirect:https://open.snssdk.com/oauth/authorize/?" +
                "client_key=awfrca76s1petwh0&response_type=code&" +
                "scope=toutiao.video.data,user_info&" +
                "redirect_uri=http%3A%2F%2Fimport.smcic.net%2Ftoutiao%2Fcallback-open";
    }

    @RequestMapping("toutiao/callback")
    public String toutiaoCallback(String code) {
        logger.info("key", "toutiaoCallback", "code", code);
        return "redirect:https://www.baidu.com";
    }
}
